package com.yunzhi.drawlots.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.yunzhi.drawlots.common.excelConverter.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author yansen
 * @since 2022-01-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPerson对象", description="用户表")
public class TaPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @ApiModelProperty(value = "用户ID")
    @TableId(value = "person_id", type = IdType.UUID)
    private String personId;

    @ExcelProperty(value = "姓名", index = 0)
    @ColumnWidth(80)
    @ApiModelProperty(value = "用户名")
    private String name;

    @ExcelIgnore
    @ApiModelProperty(value = "头像")
    private String avatar;

    @ExcelIgnore
    @ApiModelProperty(value = "手机号")
    private String phone;

    @ExcelIgnore
    @ApiModelProperty(value = "openid")
    private String openid;

    @ExcelIgnore
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ExcelIgnore
    @ApiModelProperty(value = "是否参与")
    private Boolean isJoined;

    @ExcelIgnore
    @ApiModelProperty(value = "参与时间")
    private LocalDateTime joinedDate;

    @ExcelIgnore
    @ApiModelProperty(value = "是否中奖")
    private Boolean isWinning;

    @ExcelIgnore
    @ApiModelProperty(value = "中奖ID")
    private String prizeId;

    @ExcelProperty(value = "中奖时间", converter = LocalDateTimeConverter.class, index = 2)
    @ColumnWidth(160)
    @ApiModelProperty(value = "中奖时间")
    private LocalDateTime prizeDate;

    @ExcelProperty(value = "奖品", index = 1)
    @ApiModelProperty("中奖名称")
    @TableField(exist = false)
    private String prizeName;
}
