package com.yunzhi.drawlots.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 奖品表
 * </p>
 *
 * @author yansen
 * @since 2022-01-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPrize对象", description="奖品表")
public class TaPrize implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "奖品ID")
    @TableId(value = "prize_id", type = IdType.INPUT)
    private String prizeId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "图片")
    private String thumb;

    @ApiModelProperty(value = "图片2")
    private String thumb2;

    @ApiModelProperty(value = "库存")
    private Integer totalNum;

    @ApiModelProperty(value = "剩余库存")
    private Integer exitsNum;

    @ApiModelProperty(value = "序号")
    private Integer sortNo;

    @ApiModelProperty(value = "中奖几率;比率百分值,比如 100%则维护为100")
    private Integer rate;


}
